---------------------
PatchSet 903 
Date: 2003/08/28 17:33:11
Author: serassio
Branch: nt
Tag: (none) 
Log:
Now COSS fs builds again on Windows

Members: 
	port/win32/squid.dsw:1.2.18.6->1.2.18.7 
	port/win32/include/aio.h:1.2.18.1->1.2.18.2 
	port/win32/libawin32/libawin32.dsp:1.2.18.2->1.2.18.3 
	port/win32/libcoss/libcoss.dsp:1.2.18.1->1.2.18.2 
	port/win32/squid/squid.dsp:1.2.18.7->1.2.18.8 
	port/win32/src/aio.cc:1.1.6.1->1.1.6.2 

Index: squid3/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/squid.dsw,v
retrieving revision 1.2.18.6
retrieving revision 1.2.18.7
diff -u -r1.2.18.6 -r1.2.18.7
--- squid3/port/win32/squid.dsw	18 Aug 2003 15:55:12 -0000	1.2.18.6
+++ squid3/port/win32/squid.dsw	28 Aug 2003 17:33:11 -0000	1.2.18.7
@@ -581,6 +581,9 @@
     Begin Project Dependency
     Project_Dep_Name libufs
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name libcoss
+    End Project Dependency
 }}}
 
 ###############################################################################
Index: squid3/port/win32/include/aio.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/include/Attic/aio.h,v
retrieving revision 1.2.18.1
retrieving revision 1.2.18.2
diff -u -r1.2.18.1 -r1.2.18.2
--- squid3/port/win32/include/aio.h	25 Feb 2003 02:48:45 -0000	1.2.18.1
+++ squid3/port/win32/include/aio.h	28 Aug 2003 17:33:12 -0000	1.2.18.2
@@ -1,3 +1,6 @@
+#ifndef __WIN32_AIO_H__
+#define __WIN32_AIO_H__
+
 #ifdef _SQUID_CYGWIN_
 #include <windows.h>
 #endif
@@ -51,3 +54,5 @@
 int aio_error64(const struct aiocb64 *);
 int aio_open(const char *, int);
 void aio_close(int);
+
+#endif
Index: squid3/port/win32/libawin32/libawin32.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/libawin32/Attic/libawin32.dsp,v
retrieving revision 1.2.18.2
retrieving revision 1.2.18.3
diff -u -r1.2.18.2 -r1.2.18.3
--- squid3/port/win32/libawin32/libawin32.dsp	9 Aug 2003 07:34:17 -0000	1.2.18.2
+++ squid3/port/win32/libawin32/libawin32.dsp	28 Aug 2003 17:33:12 -0000	1.2.18.3
@@ -95,10 +95,6 @@
 
 SOURCE=..\..\..\src\fs\awin32\store_io_aufs.cc
 # End Source File
-# Begin Source File
-
-SOURCE=..\..\..\src\fs\awin32\StoreFSawin32.cc
-# End Source File
 # End Group
 # Begin Group "Header Files"
 
Index: squid3/port/win32/libcoss/libcoss.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/libcoss/Attic/libcoss.dsp,v
retrieving revision 1.2.18.1
retrieving revision 1.2.18.2
diff -u -r1.2.18.1 -r1.2.18.2
--- squid3/port/win32/libcoss/libcoss.dsp	25 Feb 2003 02:48:50 -0000	1.2.18.1
+++ squid3/port/win32/libcoss/libcoss.dsp	28 Aug 2003 17:33:12 -0000	1.2.18.2
@@ -41,7 +41,7 @@
 # PROP Intermediate_Dir "Release"
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
-# ADD CPP /nologo /G6 /MT /W3 /GR /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /I "../../../src/fs/coss" /D "NDEBUG" /D "_LARGEFILE64_SOURCE" /D "WIN32" /D "_MBCS" /D "_LIB" /D "HAVE_CONFIG_H" /YX /FD /TP /c
+# ADD CPP /nologo /G6 /MT /W3 /GR /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /I "../../../src/fs/coss" /D "NDEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D "HAVE_CONFIG_H" /YX /FD /TP /c
 # ADD BASE RSC /l 0x410 /d "NDEBUG"
 # ADD RSC /l 0x410 /d "NDEBUG"
 BSC32=bscmake.exe
@@ -64,7 +64,7 @@
 # PROP Intermediate_Dir "Debug"
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /MTd /W3 /Gm /GR /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /I "../../../src/fs/coss" /D "_DEBUG" /D "_LARGEFILE64_SOURCE" /D "WIN32" /D "_MBCS" /D "_LIB" /D "HAVE_CONFIG_H" /YX /FD /GZ /TP /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GR /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /I "../../../src/fs/coss" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D "HAVE_CONFIG_H" /YX /FD /GZ /TP /c
 # ADD BASE RSC /l 0x410 /d "_DEBUG"
 # ADD RSC /l 0x410 /d "_DEBUG"
 BSC32=bscmake.exe
@@ -111,6 +111,10 @@
 
 SOURCE=..\..\..\src\fs\coss\store_coss.h
 # End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\fs\coss\StoreFScoss.h
+# End Source File
 # End Group
 # End Target
 # End Project
Index: squid3/port/win32/squid/squid.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/squid/Attic/squid.dsp,v
retrieving revision 1.2.18.7
retrieving revision 1.2.18.8
diff -u -r1.2.18.7 -r1.2.18.8
--- squid3/port/win32/squid/squid.dsp	11 Aug 2003 19:17:08 -0000	1.2.18.7
+++ squid3/port/win32/squid/squid.dsp	28 Aug 2003 17:33:12 -0000	1.2.18.8
@@ -328,6 +328,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=..\..\..\src\fs\coss\StoreFScoss.cc
+# End Source File
+# Begin Source File
+
 SOURCE=..\..\..\src\fs\null\StoreFSnull.cc
 # End Source File
 # Begin Source File
Index: squid3/port/win32/src/aio.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/src/Attic/aio.cc,v
retrieving revision 1.1.6.1
retrieving revision 1.1.6.2
diff -u -r1.1.6.1 -r1.1.6.2
--- squid3/port/win32/src/aio.cc	25 Feb 2003 02:48:57 -0000	1.1.6.1
+++ squid3/port/win32/src/aio.cc	28 Aug 2003 17:33:12 -0000	1.1.6.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: aio.cc,v 1.1.6.1 2003/02/25 02:48:57 hno Exp $
+ * $Id: aio.cc,v 1.1.6.2 2003/08/28 17:33:12 serassio Exp $
  *
  * DEBUG: section 81    aio_xxx() POSIX emulation on WIN32 for COSS
  * AUTHOR: Guido Serassio
@@ -36,7 +36,7 @@
 #include "squid.h"
 #include <aio.h>
 
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
+#ifdef _SQUID_WIN32_
 VOID CALLBACK IoCompletionRoutine(DWORD dwErrorCode, 
         DWORD dwNumberOfBytesTransfered, LPOVERLAPPED lpOverlapped) 
 { 
